For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete a MongoDB User by ID

Deletes a MongoDB user specified by its ID.

delete
Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

usernamestringRequired

The authentication username.

Responses
200

The user identified by the username and database parameters will be deleted from the cluster.

application/json

MongoDB database user.

typestring · enumOptional

The resource type.

Possible values:
delete/clusters/{clusterId}/users/{username}
DELETE /databases/mongodb/clusters/{clusterId}/users/{username} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "type": "user",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "john.doe@example.com",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3"
  },
  "properties": {
    "username": "text",
    "roles": [
      {
        "role": "read",
        "database": "text"
      }
    ]
  }
}

Last updated

Was this helpful?